Subject: [bug#51198] [PATCH] gnu: Add b2sum.

From: Nicolò Balzarotti <[email-masked]>
Date: Wed, 27 Oct 2021 10:44:45 +0200

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Wed, Oct 27, 2021 at 12:26:01AM +0200, Nicolò Balzarotti wrote:
>> (I'm on an old X200 thinkpad).  Might it be that build is not
>> deterministic (and we should disable some optimization)?
>
> As a test, I replaced march=native with march=x86-64.
>
> [...]
>
> Or maybe the package could use #:substitutable #f, since b2sum is a very
> quick build.

This blog post [fn:1] on guix-hpc address the "Pre-built binaries
vs. performance" dilemma.

I guess the easiest way is to provide a variant (b2sum-avx or something
like that) with avx enabled.  Else, I'd just go with the unoptimized
version as it happens for many other packages, but let's hear from
others.

Thanks, Nicolò

[fn:1] https://hpc.guix.info/blog/2018/01/pre-built-binaries-vs-performance/